Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Mandrake Local Security Checks >> MDKSA-2006:194: postgresql


Vulnerability Assessment Details

MDKSA-2006:194: postgresql

Vulnerability Assessment Summary
Check for the version of the postgresql package

Detailed Explanation for this Vulnerability Assessment

The remote host is missing the patch for the advisory MDKSA-2006:194 (postgresql).

A vulnerability in PostgreSQL 8.1.x permited remote authenticated users
to cause a Denial of Service (daemon crash) via certain aggregate
functions in an UPDATE statement which were not handled correctly
(CVE-2006-5540).
Another DoS issue in PostgreSQL 7.4.x, 8.0.x, and 8.1.x permited remote
authenticated users to crash the daemon via a coercion of an unknown
element to ANYARRAY (CVE-2006-5541).
Finally, another vulnerability in 8.1.x could permit a remote
authenticated user to cause a DoS related to duration logging of
V3-protocol Execute message for COMMIT and ROLLBACK statements
(CVE-2006-5542).
This updated provides the latest 8.0.x and 8.1.x PostgreSQL versions
and patches the version of PostgreSQL shipped with Corporate 3.0.
After installing this upgrade, you will need to execute 'service
postgresql restart' for it to take effect.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2006:194
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is Copyright (C) 2007 Tenable Network Security

Cables, Connectors

DELL 300GB 10K 6G SFF 2.5'' SAS HARD DRIVE - Pulled from working servers
$30.0
DELL 300GB 10K 6G SFF 2.5'' SAS HARD DRIVE - Pulled from working servers pictureLOT OF 4 DELL NPTFH HARD DRIVE BLANKS FOR R720 SERVERS SKU185889
$14.99
LOT OF 4 DELL NPTFH HARD DRIVE BLANKS FOR R720 SERVERS SKU185889 pictureUSED DELL J57T0 RISER BOARD/RISER ASSEMBLY FOR R720 SERVERS SKU#185874
$14.49
USED DELL J57T0 RISER BOARD/RISER ASSEMBLY FOR R720 SERVERS SKU#185874 picture


Discussions

No Discussions have been posted on this vulnerability.